From 765dd7112f728369d63e3be91c844e0cdf8674c1 Mon Sep 17 00:00:00 2001
From: Andreas Sturmlechner <asturm@gentoo.org>
Date: Thu, 5 Jan 2023 13:21:00 +0100
Subject: [PATCH 1/2] Merge two KWINDOWSYSTEM_HAVE_X11 sections into one

Signed-off-by: Andreas Sturmlechner <asturm@gentoo.org>
---
 src/CMakeLists.txt | 15 +++++----------
 1 file changed, 5 insertions(+), 10 deletions(-)

diff --git a/src/CMakeLists.txt b/src/CMakeLists.txt
index 163ea38..27577ef 100644
--- a/src/CMakeLists.txt
+++ b/src/CMakeLists.txt
@@ -36,16 +36,6 @@ ecm_qt_declare_logging_category(KF5WindowSystem
     EXPORT KWINDOWSYSTEM
 )
 
-if (KWINDOWSYSTEM_HAVE_X11)
-  target_sources(KF5WindowSystem PRIVATE
-    platforms/xcb/kselectionowner.cpp
-    platforms/xcb/kselectionwatcher.cpp
-    platforms/xcb/kxerrorhandler.cpp
-    platforms/xcb/kxutils.cpp
-    kx11extras.cpp
-  )
-endif()
-
 if (KWINDOWSYSTEM_HAVE_X11)
    if(NOT X11_Xfixes_LIB)
       message(FATAL_ERROR "The XFixes library could not be found. Please install the development package for it.")
@@ -75,8 +65,13 @@ if (KWINDOWSYSTEM_HAVE_X11)
 
    target_sources(KF5WindowSystem PRIVATE
         platforms/xcb/kkeyserver.cpp
+        platforms/xcb/kselectionowner.cpp
+        platforms/xcb/kselectionwatcher.cpp
+        platforms/xcb/kxerrorhandler.cpp
         platforms/xcb/kxmessages.cpp
+        platforms/xcb/kxutils.cpp
         platforms/xcb/netwm.cpp
+        kx11extras.cpp
    )
 
    # we install kkeyserver_x11.h which needs the X11 headers available
-- 
2.39.0

